<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:31 GMT 2020 -->
<title>ListADT</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ListADT";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?ArrayListPackage/ListADT.html" target="_top">Frames</a></li>
<li><a href="ListADT.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ArrayListPackage</div>
<h2 title="Interface ListADT" class="title">Interface ListADT&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>java.lang.Iterable&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage">OrderedListADT</a>&lt;T&gt;, <a href="../ArrayListPackage/UnorderedListADT.html" title="interface in ArrayListPackage">UnorderedListADT</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a>, <a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage">ArrayOrderedList</a>, <a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage">ArrayUnorderedList</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ListADT&lt;T&gt;</span>
extends java.lang.Iterable&lt;T&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#contains-T-">contains</a></span>(<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;target)</code>
<div class="block">Returns true if this list contains the specified target element.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#first--">first</a></span>()</code>
<div class="block">Returns a reference to the first element in this list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#isEmpty--">isEmpty</a></span>()</code>
<div class="block">Returns true if this list contains no elements.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#iterator--">iterator</a></span>()</code>
<div class="block">Returns an iterator for the elements in this list.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#last--">last</a></span>()</code>
<div class="block">Returns a reference to the last element in this list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#remove-T-">remove</a></span>(<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;element)</code>
<div class="block">Removes and returns the specified element from this list.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#removeFirst--">removeFirst</a></span>()</code>
<div class="block">Removes and returns the first element from this list.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#removeLast--">removeLast</a></span>()</code>
<div class="block">Removes and returns the last element from this list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#size--">size</a></span>()</code>
<div class="block">Returns the number of elements in this list.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#toString--">toString</a></span>()</code>
<div class="block">Returns a string representation of this list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="removeFirst--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFirst</h4>
<pre><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;removeFirst()
       throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Removes and returns the first element from this list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first element from this list</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="removeLast--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeLast</h4>
<pre><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;removeLast()
      throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Removes and returns the last element from this list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the last element from this list</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="remove-java.lang.Object-">
<!--   -->
</a><a name="remove-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;remove(<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;element)
  throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a>,
         <a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></pre>
<div class="block">Removes and returns the specified element from this list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - the element to be removed from the list</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>removed element</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
<dd><code><a href="../Exceptions/ElementNotFoundException.html" title="class in Exceptions">ElementNotFoundException</a></code> - if the element isn't found</dd>
</dl>
</li>
</ul>
<a name="first--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>first</h4>
<pre><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;first()
 throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Returns a reference to the first element in this list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to the first element in this list</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="last--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>last</h4>
<pre><a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;last()
throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Returns a reference to the last element in this list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to the last element in this list</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="contains-java.lang.Object-">
<!--   -->
</a><a name="contains-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>boolean&nbsp;contains(<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&nbsp;target)
          throws <a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></pre>
<div class="block">Returns true if this list contains the specified target element.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - the target that is being sought in the list</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the list contains this element</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/EmptyCollectionException.html" title="class in Exceptions">EmptyCollectionException</a></code> - if the collection is empty</dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>boolean&nbsp;isEmpty()</pre>
<div class="block">Returns true if this list contains no elements.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if this list contains no elements</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>int&nbsp;size()</pre>
<div class="block">Returns the number of elements in this list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the integer representation of number of elements in this list</dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>java.util.Iterator&lt;<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&gt;&nbsp;iterator()</pre>
<div class="block">Returns an iterator for the elements in this list.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="../ArrayListPackage/ListADT.html" title="type parameter in ListADT">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an iterator over the elements in this list</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>java.lang.String&nbsp;toString()</pre>
<div class="block">Returns a string representation of this list.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string representation of this list</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?ArrayListPackage/ListADT.html" target="_top">Frames</a></li>
<li><a href="ListADT.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
